Bug Hunting Session
Bug 69925 - Other: Wiki Publisher Extension: dialogs do not open on "File - Send - To Mediawiki"
Summary: Other: Wiki Publisher Extension: dialogs do not open on "File - Send - To Med...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
4.1.1.2 release
Hardware: Other All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: BSA target:4.3.0 target:4.2.2 target:...
Keywords:
: 69323 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-09-29 11:19 UTC by Zeki Bildirici
Modified: 2014-03-30 21:45 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zeki Bildirici 2013-09-29 11:19:05 UTC
Hi,

The Wiki Publisher extension is not working for me. The last working version is 3.6.5.
I've tried following versions/systems:

LibreOffice 4.0.4 / Linux - Not Working
LibreOffice 4.1.1 / Windows - Not Working
LibreOffice 4.1.2.2 / Windows - Not Working

Steps to reproduce:
1. Open a file in Writer
2. Click File - Send - To Mediawiki

Current behavior:
Nothing happens,

Expected behavior:
Ordinary export dialog will appear and the process to be completed.

I've tried 2 java variants sun and oracle, nothing changed. 

Best regards,
Zeki 
Operating System: All
Version: 4.1.1.2 release
Comment 1 Ulrich Windl 2013-10-02 06:14:21 UTC
Seen in 4.0.5: WikiPublisher 1.1.2 insists of setting a Path for Java, but in v4 that option is no longer available.
Comment 2 Ulrich Windl 2013-10-21 06:29:06 UTC
Correction: The option is still available, but the structure/naming has changed. So the naming should be updated in Wiki Publisher as well.
Comment 3 Kev MacD 2014-02-08 00:57:29 UTC
I see the same bug in the  4.2.0.4 version. It worked one day on my system (Win7) with 4.1 (stable release) but after the update, hours later, it stopped working.
Comment 4 Julien Nabet 2014-02-18 22:15:20 UTC
*** Bug 69323 has been marked as a duplicate of this bug. ***
Comment 5 Commit Notification 2014-02-19 21:25:05 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e2d1d21f9a58e320444f6eaea2f006530bbd2cb

Resolves: fdo#69925 Wiki Publisher Extension is not working



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Julien Nabet 2014-02-19 21:28:50 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 7 Julien Nabet 2014-02-19 21:29:13 UTC
I pushed a patch on master sources.
Fix for 4.2 branch waiting for review: 
https://gerrit.libreoffice.org/8133
Comment 8 Michael Stahl (CIB) 2014-02-19 23:49:05 UTC
regression from:

author	Artur Dryomov <artur.dryomov@gmail.com>	2013-04-16 16:33:24
committer	Thomas Arnhold <thomas@arnhold.org>	2013-04-17 10:01:35
commit	b80d8c695e6b6ded231e67ed9a80bcd1f1250c03

    fdo#62096 - replace some O(U)String compareTo with ==


... which clearly should not have modified Java files.

thanks Julien for fixing this.
Comment 9 Commit Notification 2014-02-19 23:50:26 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6dd74978f4a41f8bb79b87784d50a85880e7e9e0&h=libreoffice-4-2

Resolves: fdo#69925 Wiki Publisher Extension is not working


It will be available in LibreOffice 4.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-02-19 23:55:55 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c33633ef18274bf384c74c492195519be83c050&h=libreoffice-4-1

Resolves: fdo#69925 Wiki Publisher Extension is not working


It will be available in LibreOffice 4.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-02-21 09:04:19 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c3d28b3ce57b17efd5ac49385b249a27feebb46&h=libreoffice-4-2-2

Resolves: fdo#69925 Wiki Publisher Extension is not working


It will be available already in LibreOffice 4.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 elcico2001 2014-03-30 01:19:38 UTC
(In reply to comment #11)
> Julien Nabet committed a patch related to this issue.
> It has been pushed to "libreoffice-4-2-2":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=4c3d28b3ce57b17efd5ac49385b249a27feebb46&h=libreoffice-4-2-2
> 
> Resolves: fdo#69925 Wiki Publisher Extension is not working
> 
> 
> It will be available already in LibreOffice 4.2.2.
> 
> The patch should be included in the daily builds available at
> http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
> information about daily builds can be found at:
> http://wiki.documentfoundation.org/Testing_Daily_Builds
> Affected users are encouraged to test the fix and report feedback.

Still not working for me with 4.2.2 (Under Win 8.1) - connection error:

A connection to the MediaWiki system at [url] could not be created 

I tried to connect to the Document foundation wiki using:

http://wiki.documentfoundation.org/

Thanks cico
Comment 13 Julien Nabet 2014-03-30 15:13:33 UTC
elcico: yours is another problem and I think it may correspond to fdo#64397 (put in See also). If it's the case, it could be solved on master sources (future 4.3.0), see comment https://bugs.freedesktop.org/show_bug.cgi?id=64397#c22

Anyway, I put this one back to FIXED.
Comment 14 Michael Stahl (CIB) 2014-03-30 21:41:39 UTC
re-title that in the hope that it will not be re-opened for every other WikiPublisher bug